<?php
/*
Plugin Name: Change The World
Plugin URI: http://daveryder.com/wordpress-plugins
Description: Based on the (in)famous Hello, Dolly. When activated a Change The World button will return a list of Social Actions you can take to change the world when clicked, and a small Twitter icon will show the search results for the query "change the world" as an Atom feed of current "tweets" on Twitter when clicked. It also randomly shows a lyric from <em>I'd Love To Change The World</em> by the band Ten Years After, all located in the upper right of your admin screen on every page.
Author: Matt Mullenweg, Dave Ryder
Version: 1.0
Author URI: http://daveryder.com/
*/

/*
Change The World
/*

/*  
    Copyright 2009  Dave Ryder  (email : dave@daveryder.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


// These are the lyrics to I'd Love To Change The World
$lyrics = "Everywhere is freaks and hairies
Dykes and fairies, tell me where is sanity
Tax the rich, feed the poor
Till there are no rich no more?
I'd love to change the world
But I don't know what to do
So I'll leave it up to you
Population keeps on breeding
Nation bleeding, still more feeding economy
Life is funny, skies are sunny
Bees make honey, who needs money, Monopoly
I'd love to change the world
But I don't know what to do
So I'll leave it up to you
World pollution, there's no solution
Institution, electrocution
Just black and white, rich or poor
Them and us, stop the war
I'd love to change the world
But I don't know what to do
So I'll leave it up to you";



// Here we split it into lines
$lyrics = explode("\n", $lyrics);
// And then randomly choose a line
$chosen = wptexturize( $lyrics[ mt_rand(0, count($lyrics) - 1) ] );

// This just echoes the chosen line, we'll position it later
function change_song() {
	global $chosen;
	echo "<p id='rs'>"; 
  echo "<a href='http://search.socialactions.com/actions?q=%22Change+The+World%22&created=all&commit=Search'><img alt='Click here for ways YOU can Change The World!' title='Click here for ways YOU can Change The World!' src='/wp-content/plugins/change-the-world/change-button.png' /></a>"; 
  echo "&nbsp;";
  echo "<a href='http://search.twitter.com/search.atom?q=change+the+world'><img alt='Show Atom feed of Change the World on Twitter' title='Show Atom feed of Change the World on Twitter' src='/wp-content/plugins/change-the-world/tweety.png' /></a>";  
  echo "&nbsp;";
  echo "$chosen";
  echo "</p>";
}

// Now we set that function up to execute when the admin_footer action is called
add_action('admin_footer', 'change_song');

// We need some CSS to position the paragraph
function rs_css() {
	echo "
	<style type='text/css'>
	#rs {
		position: absolute;
		top: 5.8em;
		margin: 0;
		padding: 0;
		right: 20px;
		font-size: 12px;
		color: #5587FF;
	}
	</style>
	";
}

add_action('admin_head', 'rs_css');

?>
